Bug 85945 - Improving the File menu
Summary: Improving the File menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
URL:
Whiteboard: target:4.5.0 target:4.4.0.2
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2014-11-06 00:39 UTC by Yousuf Philips (jay)
Modified: 2015-05-31 14:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
before and after (62.42 KB, image/png)
2014-11-06 00:39 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-11-06 00:39:01 UTC
Created attachment 109001 [details]
before and after

Went through writer's file menu and reorganized it to better streamline its various sections. This same one can be used in most modules (Calc, Impress, Draw), while some tweaking will be needed for Formula.
Comment 1 V Stuart Foote 2014-11-06 02:44:49 UTC
@Jay, *,

Feels kind of uncomfortable having the Close button so disjoint from the Open button--these are all actions applied to the current document.

The Export actions should be with the Save actions. Not sure bringing the Email button up out of Send is useful use of menu space.

And, where does the Manage templates go? A new tab on the SideBar?

Stuart
Comment 2 A (Andy) 2014-11-06 14:34:01 UTC
My personal opinion at a glance:

I also miss the "Templates" menu item.  

From my point of view the "Reload" and "Versions" should also not be between the Save and Export section, but I have unfortunately also no idea where it could be better be placed.

Regarding the close button I am not yet sure, because I have pros and cons.

The rest seems for me to be a nice regrouping and an further improvement.
Comment 3 Yousuf Philips (jay) 2014-11-06 22:44:26 UTC
(In reply to V Stuart Foote from comment #1)
> @Jay, *,

Hi Stuart,

> Feels kind of uncomfortable having the Close button so disjoint from the
> Open button--these are all actions applied to the current document.

Most of the items in the menu relate to the current document. Doesnt really make sense to have the close button in a section of save buttons.

> The Export actions should be with the Save actions. Not sure bringing the
> Email button up out of Send is useful use of menu space.

Yes export and save actions are similar, but each deserve their own section, primarily because there are so many save actions. The 'document as email' button was previously in the toolbar and it would be useful for those looking to access this feature to easily know where it is in the menu.

> And, where does the Manage templates go? A new tab on the SideBar?

File > New > Templates.

(In reply to A (Andy) from comment #2)
> From my point of view the "Reload" and "Versions" should also not be between
> the Save and Export section, but I have unfortunately also no idea where it
> could be better be placed.

I had thought to move 'Reload' and 'Versions' into the save section, as 'Reload' reverts the document back to its original state, which people would normally like to do rather than choosing to save, while 'Versions' allows you to save multiple versions of a document inside the same document, so it is a save related action. But with reload being no different then closing the document without saving changes and reopening it and versions not working on all document types, it is less useful to move them higher than where they are presently.

> Regarding the close button I am not yet sure, because I have pros and cons.

Closing a document and closing the entire application are suitable to be in a section of their own. This is no different to have an 'X' on the right side of the menu bar to close the current document and another 'X' in the title bar to close the application. The other alternative is to move close to the bottom of the new/open section, as i've seen some applications do it this way (IBM Symphony, WordPerfect, Word 2003).
Comment 4 Yousuf Philips (jay) 2014-12-21 03:06:18 UTC
Patch is in - https://gerrit.libreoffice.org/#/c/13570/
Comment 5 Yousuf Philips (jay) 2014-12-21 03:07:29 UTC
That was the wrong patch :D - https://gerrit.libreoffice.org/#/c/13571/
Comment 6 Commit Notification 2014-12-22 18:38:08 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd84ab5b42e767d82ba49917dac80b8142aea4e0

fdo#85945 reorganize the file menu and set global shortcut for .uno:CloseDoc

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-07 12:38:28 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8191cadca795d17fde316df47dc3194662d59a4a&h=libreoffice-4-4

fdo#85945 reorganize the file menu and set shortcut for .uno:CloseDoc (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.